{% extends 'base.html.twig' %}

{% block title %}Chiens à l'adoption{% endblock %}

{% block body %}
    <h1>Chiens à l'adoption</h1>
    {% for adoption in adoptions %}
        <div class="card text-center">
            <h3 class="card-header">
                <a href="{{ path('adoption_show', {id: adoption.id,})}}">
                    {{ adoption.name }}
                </a>
            </h3>
            <div class="card-body">
                <p class="card-text">
                    {{ adoption.description }}
                </p>
                {% for dog in adoption.dogs %}
                    <h4>
                        {{ dog.name }}
                        {% if dog.birthDate %}
                            ({{ dog.age }} ans)
                        {% endif %}
                    </h4>
                    {% for image in dog.images %}
                        <img src="{{ image.path }}" alt="" class="card-img-top w-25 h-25">
                    {% endfor %}
                    <p>
                        {{ dog.description }}
                    </p>
                {% endfor %}
            </div>
            <div class="card-footer text-muted">

            </div>
        </div>
    {% endfor %}
{% endblock %}
